Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class EDImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
                      org.eclipse.ohf.ihe.common.cdar2.impl.BIN1Impl
                          org.eclipse.ohf.ihe.common.cdar2.impl.EDImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ANY, BIN1, ED

Direct Known Subclasses:
  ST1Impl, ThumbnailImpl

    public class EDImpl

extends BIN1Impl
implements ED

An implementation of the model object 'ED'.

The following features are implemented:

- `Mixed`
- `Reference`
- `Thumbnail`
- `Compression`
- `Integrity Check`
- `Integrity Check Algorithm`
- `Language`
- `Media Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetReference(TEL newReference, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetThumbnail(Thumbnail newThumbnail, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`CompressionAlgorithm` | `getCompression()`
`byte[]` | `getIntegrityCheck()`
`IntegrityCheckAlgorithm` | `getIntegrityCheckAlgorithm()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getMediaType()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`TEL` | `getReference()`
`Thumbnail` | `getThumbnail()`
`boolean` | `isSetCompression()`
`boolean` | `isSetIntegrityCheckAlgorithm()`
`boolean` | `isSetMediaType()`
`void` | `setCompression(CompressionAlgorithm newCompression)`
`void` | `setIntegrityCheck(byte[] newIntegrityCheck)`
`void` | `setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm newIntegrityCheckAlgorithm)`
`void` | `setLanguage(java.lang.String newLanguage)`
`void` | `setMediaType(java.lang.String newMediaType)`
`void` | `setReference(TEL newReference)`
`void` | `setThumbnail(Thumbnail newThumbnail)`
`java.lang.String` | `toString()`
`void` | `unsetCompression()`
`void` | `unsetIntegrityCheckAlgorithm()`
`void` | `unsetMediaType()`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.BIN1Impl
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
`getNullFlavor, setNullFlavor`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.BIN1
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `ED`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getED_Mixed()`

### getReference

    public TEL getReference()

  Specified by:
    `getReference` in interface `ED`
  Returns:
    the value of the 'Reference' containment reference.
  See Also:
    `ED.setReference(TEL)`, `CDAR2Package.getED_Reference()`

### basicSetReference

    public org.eclipse.emf.common.notify.NotificationChain basicSetReference(TEL newReference,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setReference

    public void setReference(TEL newReference)

  Specified by:
    `setReference` in interface `ED`
  Parameters:
    `newReference` - the new value of the 'Reference' containment reference.
  See Also:
    `ED.getReference()`

### getThumbnail

    public Thumbnail getThumbnail()

  Specified by:
    `getThumbnail` in interface `ED`
  Returns:
    the value of the 'Thumbnail' containment reference.
  See Also:
    `ED.setThumbnail(Thumbnail)`, `CDAR2Package.getED_Thumbnail()`

### basicSetThumbnail

    public org.eclipse.emf.common.notify.NotificationChain basicSetThumbnail(Thumbnail newThumbnail,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setThumbnail

    public void setThumbnail(Thumbnail newThumbnail)

  Specified by:
    `setThumbnail` in interface `ED`
  Parameters:
    `newThumbnail` - the new value of the 'Thumbnail' containment reference.
  See Also:
    `ED.getThumbnail()`

### getCompression

    public CompressionAlgorithm getCompression()

  Specified by:
    `getCompression` in interface `ED`
  Returns:
    the value of the 'Compression' attribute.
  See Also:
    `CompressionAlgorithm`, `ED.isSetCompression()`, `ED.unsetCompression()`, `ED.setCompression(CompressionAlgorithm)`, `CDAR2Package.getED_Compression()`

### setCompression

    public void setCompression(CompressionAlgorithm newCompression)

  Specified by:
    `setCompression` in interface `ED`
  Parameters:
    `newCompression` - the new value of the 'Compression' attribute.
  See Also:
    `CompressionAlgorithm`, `ED.isSetCompression()`, `ED.unsetCompression()`, `ED.getCompression()`

### unsetCompression

    public void unsetCompression()

  Specified by:
    `unsetCompression` in interface `ED`
  See Also:
    `ED.isSetCompression()`, `ED.getCompression()`, `ED.setCompression(CompressionAlgorithm)`

### isSetCompression

    public boolean isSetCompression()

  Specified by:
    `isSetCompression` in interface `ED`
  Returns:
    whether the value of the 'Compression' attribute is set.
  See Also:
    `ED.unsetCompression()`, `ED.getCompression()`, `ED.setCompression(CompressionAlgorithm)`

### getIntegrityCheck

    public byte[] getIntegrityCheck()

  Specified by:
    `getIntegrityCheck` in interface `ED`
  Returns:
    the value of the 'Integrity Check' attribute.
  See Also:
    `ED.setIntegrityCheck(byte[])`, `CDAR2Package.getED_IntegrityCheck()`

### setIntegrityCheck

    public void setIntegrityCheck(byte[] newIntegrityCheck)

  Specified by:
    `setIntegrityCheck` in interface `ED`
  Parameters:
    `newIntegrityCheck` - the new value of the 'Integrity Check' attribute.
  See Also:
    `ED.getIntegrityCheck()`

### getIntegrityCheckAlgorithm

    public IntegrityCheckAlgorithm getIntegrityCheckAlgorithm()

  Specified by:
    `getIntegrityCheckAlgorithm` in interface `ED`
  Returns:
    the value of the 'Integrity Check Algorithm' attribute.
  See Also:
    `IntegrityCheckAlgorithm`, `ED.isSetIntegrityCheckAlgorithm()`, `ED.unsetIntegrityCheckAlgorithm()`, `ED.setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm)`, `CDAR2Package.getED_IntegrityCheckAlgorithm()`

### setIntegrityCheckAlgorithm

    public void setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm newIntegrityCheckAlgorithm)

  Specified by:
    `setIntegrityCheckAlgorithm` in interface `ED`
  Parameters:
    `newIntegrityCheckAlgorithm` - the new value of the 'Integrity Check Algorithm' attribute.
  See Also:
    `IntegrityCheckAlgorithm`, `ED.isSetIntegrityCheckAlgorithm()`, `ED.unsetIntegrityCheckAlgorithm()`, `ED.getIntegrityCheckAlgorithm()`

### unsetIntegrityCheckAlgorithm

    public void unsetIntegrityCheckAlgorithm()

  Specified by:
    `unsetIntegrityCheckAlgorithm` in interface `ED`
  See Also:
    `ED.isSetIntegrityCheckAlgorithm()`, `ED.getIntegrityCheckAlgorithm()`, `ED.setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm)`

### isSetIntegrityCheckAlgorithm

    public boolean isSetIntegrityCheckAlgorithm()

  Specified by:
    `isSetIntegrityCheckAlgorithm` in interface `ED`
  Returns:
    whether the value of the 'Integrity Check Algorithm' attribute is set.
  See Also:
    `ED.unsetIntegrityCheckAlgorithm()`, `ED.getIntegrityCheckAlgorithm()`, `ED.setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm)`

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    `getLanguage` in interface `ED`
  Returns:
    the value of the 'Language' attribute.
  See Also:
    `ED.setLanguage(String)`, `CDAR2Package.getED_Language()`

### setLanguage

    public void setLanguage(java.lang.String newLanguage)

  Specified by:
    `setLanguage` in interface `ED`
  Parameters:
    `newLanguage` - the new value of the 'Language' attribute.
  See Also:
    `ED.getLanguage()`

### getMediaType

    public java.lang.String getMediaType()

  Specified by:
    `getMediaType` in interface `ED`
  Returns:
    the value of the 'Media Type' attribute.
  See Also:
    `ED.isSetMediaType()`, `ED.unsetMediaType()`, `ED.setMediaType(String)`, `CDAR2Package.getED_MediaType()`

### setMediaType

    public void setMediaType(java.lang.String newMediaType)

  Specified by:
    `setMediaType` in interface `ED`
  Parameters:
    `newMediaType` - the new value of the 'Media Type' attribute.
  See Also:
    `ED.isSetMediaType()`, `ED.unsetMediaType()`, `ED.getMediaType()`

### unsetMediaType

    public void unsetMediaType()

  Specified by:
    `unsetMediaType` in interface `ED`
  See Also:
    `ED.isSetMediaType()`, `ED.getMediaType()`, `ED.setMediaType(String)`

### isSetMediaType

    public boolean isSetMediaType()

  Specified by:
    `isSetMediaType` in interface `ED`
  Returns:
    whether the value of the 'Media Type' attribute is set.
  See Also:
    `ED.unsetMediaType()`, `ED.getMediaType()`, `ED.setMediaType(String)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `BIN1Impl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `BIN1Impl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `BIN1Impl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `BIN1Impl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BIN1Impl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD